### Method

# FwupdPlugin UdevDevice get_children_with_subsystem

since: 1.6.2

#### Declaration [src]

    GPtrArray*
    fu_udev_device_get_children_with_subsystem (
      FuUdevDevice* self,
      const gchar* subsystem
    )

#### Description [src]

Get a list of devices that are children of self and have the provided subsystem.

Available since: 1.6.2

#### Parameters

`subsystem`

  Type: `const gchar*`

  The name of a udev subsystem.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `None`

Devices.

The caller of the method takes ownership of the data, and is responsible for freeing it.